Subject: RE: Some comments about the current release
From: Kern Sibbald <[email-masked]>
To: "'Robert Collins'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Sun, 29 Apr 2001 10:23:02 +0200

Hello Robert,

Thanks for the comments.  

- Oops. I should have asked you to provide a null
libpthread.a library (no s).  

- Perhaps my makefiles were broken in assuming 
libpthread.a is the library name, but it DOES 
seem to be commonly used for POSIX threads. 
Why not make life easier for people like
me with "broken" makefiles?  Of course, using
autoconf, I corrected the problem so it is
no longer a problem for me.

- I appreciate the improved pthreads support. It seems
to function well for the functions I am using. 
I tried using pthreads in 1.1.5 and saw that it 
was there, but it lacked pthread_cancel(), which 
is why I upgraded to 1.3.1.

- My problem with winsock2.h is that I have part
of the program that is strictly Microsoft (the
part that makes apcupsd a service, handles the tray
icon, and the dialog boxes for the tray) and
a part that is Unix, which is the vast majority
of the program.  I know the problem isn't simple
but I just wanted to mention it.

I hope someone can find a solution for the performance
problems with version 1.3.1 cygwin1.dll that I mentioned.

Best regards,

Kern

-----Original Message-----
From:	Robert Collins [SMTP:[email-masked]]
Sent:	Sunday, 29 April 2001 5:56 AM
To:	[email-masked]
Cc:	[email-masked]'
Subject:	Re: Some comments about the current release

Kern Sibbald wrote:

> Hello,
> 
> In loading the current Cygwin software (dll 1.3.1
> and others), in addition to the cygwin1.dll performance
> degradation, while loading the latest version of all
> the other files, I ran into the following problems:
> 
> <skip>
> 3. Thanks for adding pthreads support. It works!  However,
> it would be really nice if you provided a null 
> libpthreads.a library so that we don't have to modify all
> our Makefiles.

Pthreads support was present before. It's just a little more substantial 
now. Your makefiles are broken if they assume that libpthreads.a is the 
library name. On different platforms I have seen
nothing (as cygwin does - libc provides pthread support)
libpthread.a
libc_r.a

I suggest you fix your makefiles. (Hint: autoconf is a wonderful tool).

> 4. I was including <winsock2.h> in a bunch of header files
> in my .cpp programs which are strictly Windows (no Unix
> stuff) and I got lots of warning messages, which were 
> annoying. In my case, I solved the problem by removing
> the include of <winsock2.h> as it wasn't really needed,
> but it seems to me that there is a problem here that
> needs some attention.

If they are "strictly windows" you might want to look at using mingw to 
build them instead.

Rob

> Best regards,
> 
> Kern Sibbald
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple